Package com.avaya.clientservices.call

## Enum MinuteMessage.MinuteType

- java.lang.Object
- - java.lang.Enum<MinuteMessage.MinuteType>
  - - com.avaya.clientservices.call.MinuteMessage.MinuteType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MinuteMessage.MinuteType>`
  Enclosing class:
    MinuteMessage

      public static enum MinuteMessage.MinuteType
      extends java.lang.Enum<MinuteMessage.MinuteType>

  Types of minute message in the conference.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACTION` | Minute message is an action.
    `KEYWORD` | Minute message is a keyword.
    `NOTE` | Minute message is a note.
    `QUESTION` | Minute message is a question.
    `UNKNOWN` | Type of minute message is unknown.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MinuteMessage.MinuteType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MinuteMessage.MinuteType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final MinuteMessage.MinuteType UNKNOWN

      Type of minute message is unknown.

    - #### NOTE

          public static final MinuteMessage.MinuteType NOTE

      Minute message is a note.

    - #### KEYWORD

          public static final MinuteMessage.MinuteType KEYWORD

      Minute message is a keyword.

    - #### QUESTION

          public static final MinuteMessage.MinuteType QUESTION

      Minute message is a question.

    - #### ACTION

          public static final MinuteMessage.MinuteType ACTION

      Minute message is an action.

  - ### Method Detail

    - #### values

          public static MinuteMessage.MinuteType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MinuteMessage.MinuteType c : MinuteMessage.MinuteType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MinuteMessage.MinuteType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null